Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.webadmin.rest
Class ConsoleService

    java.lang.Object
      org.neo4j.server.webadmin.rest.ConsoleService

All Implemented Interfaces:
  AdvertisableService

    public class ConsoleService

extends Object
implements AdvertisableService

Constructor Summary
`ConsoleService(Database database, javax.servlet.http.HttpServletRequest req, OutputFormat output)`
`ConsoleService(SessionFactory sessionFactory, Database database, OutputFormat output)`

Method Summary
`javax.ws.rs.core.Response` | `exec(InputFormat input, String data)`
`String` | `getName()`
`String` | `getServerPath()`
`javax.ws.rs.core.Response` | `getServiceDefinition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleService

    public ConsoleService(SessionFactory sessionFactory,
                          Database database,
                          OutputFormat output)

### ConsoleService

    public ConsoleService(@Context
                          Database database,
                          @Context
                          javax.servlet.http.HttpServletRequest req,
                          @Context
                          OutputFormat output)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `AdvertisableService`

### getServerPath

    public String getServerPath()

  Specified by:
    `getServerPath` in interface `AdvertisableService`

### getServiceDefinition

    public javax.ws.rs.core.Response getServiceDefinition()

### exec

    public javax.ws.rs.core.Response exec(@Context
                                          InputFormat input,
                                          String data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.